Skip to content

Get webhook endpoint

GET
/webhook-endpoints/{id}
curl --request GET \
--url https://app.buildworkpro.com/api/v1/webhook-endpoints/1 \
--header 'Authorization: Bearer <token>'

Returns a single webhook endpoint. The signingSecret field is redacted.

id
required
integer

Endpoint

Media type application/json
object
data
required
object
id
required
integer
url
required
string
description
required
string | null
eventTypes
required
Array<string>
isActive
required
boolean
consecutiveFailures
required
integer
lastDeliveredAt
required
Any of:
string format: date-time
disabledAt
required
Any of:
string format: date-time
disabledReason
required
string | null
createdAt
required
Any of:
string format: date-time
updatedAt
required
Any of:
string format: date-time
meta
required
object
request_id

Server-generated request identifier

string
pagination
object
cursor
required

Opaque cursor for the next page; null when no more results

string | null
has_more
required

Whether more pages are available after this one

boolean
count
required

Items in this page

integer
Example generated
{
"data": {
"id": 1,
"url": "example",
"description": "example",
"eventTypes": [
"example"
],
"isActive": true,
"consecutiveFailures": 1,
"lastDeliveredAt": "2026-04-15T12:00:00Z",
"disabledAt": "2026-04-15T12:00:00Z",
"disabledReason": "example",
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
},
"meta": {
"request_id": "example",
"pagination": {
"cursor": "example",
"has_more": true,
"count": 1
}
}
}

Not found

Media type application/problem+json
object
type
required

URL identifying the problem type

string format: uri
title
required

Short human-readable summary

string
status
required

HTTP status code

integer
detail

Human-readable explanation

string
request_id

Server-generated request identifier

string
errors

Validation error array (422 only)

Array<object>
object
field
required

Field path that failed validation

string
code
required

Validation error code

string
message
required

Human-readable validation message

string
Example generated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}